### A free/open-source library for quantitative finance

Classes | Typedefs
ql/termstructures/yield/discountcurve.hpp File Reference

interpolated discount factor structure More...

`#include <ql/termstructures/yieldtermstructure.hpp>`
`#include <ql/termstructures/interpolatedcurve.hpp>`
`#include <ql/math/interpolations/loginterpolation.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <utility>`
Include dependency graph for discountcurve.hpp:

## Classes

class | InterpolatedDiscountCurve< Interpolator >
| YieldTermStructure based on interpolation of discount factors. More...

## Typedefs

typedef InterpolatedDiscountCurve < LogLinear > | DiscountCurve
| Term structure based on log-linear interpolation of discount factors.

## Detailed Description

interpolated discount factor structure